

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>d2o package &mdash; d2o Python Library 1.0 documentation</title>
  

  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
    <link rel="top" title="d2o Python Library 1.0 documentation" href="index.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> d2o Python Library
          

          
          </a>

          
            
            
              <div class="version">
                1.0
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="simple">
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="index.html">d2o Python Library</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="index.html">Docs</a> &raquo;</li>
      
    <li>d2o package</li>
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/d2o.txt" rel="nofollow"> View page source</a>
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="d2o-package">
<h1>d2o package<a class="headerlink" href="#d2o-package" title="Permalink to this headline">¶</a></h1>
<div class="section" id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this headline">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="d2o.analyze.html">d2o.analyze package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#module-d2o.analyze.changedetection">d2o.analyze.changedetection module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#module-d2o.analyze.correlation">d2o.analyze.correlation module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#module-d2o.analyze.correlation_m">d2o.analyze.correlation_m module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#module-d2o.analyze.fourier">d2o.analyze.fourier module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.analyze.html#module-d2o.analyze">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="d2o.data.html">d2o.data package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="d2o.data.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="d2o.data.db.html">d2o.data.db package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="d2o.data.db.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.data.db.html#module-d2o.data.db.mssql">d2o.data.db.mssql module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.data.db.html#module-d2o.data.db">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="d2o.data.html#module-d2o.data">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="d2o.learn.html">d2o.learn package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="d2o.learn.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="d2o.learn.nn.html">d2o.learn.nn package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.bpn">d2o.learn.nn.bpn module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.d2o_mask_factory">d2o.learn.nn.d2o_mask_factory module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.datasets">d2o.learn.nn.datasets module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.maskfactory">d2o.learn.nn.maskfactory module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.masks">d2o.learn.nn.masks module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.runner">d2o.learn.nn.runner module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.trainer">d2o.learn.nn.trainer module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn.transfer_functions">d2o.learn.nn.transfer_functions module</a></li>
<li class="toctree-l4"><a class="reference internal" href="d2o.learn.nn.html#module-d2o.learn.nn">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="d2o.learn.html#module-d2o.learn">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="d2o.prep.html">d2o.prep package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="d2o.prep.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.prep.html#module-d2o.prep.scaling">d2o.prep.scaling module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.prep.html#module-d2o.prep">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="d2o.utils.html">d2o.utils package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.calc">d2o.utils.calc module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.email">d2o.utils.email module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.errors">d2o.utils.errors module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.handlers">d2o.utils.handlers module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.logger">d2o.utils.logger module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.putils">d2o.utils.putils module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.systools">d2o.utils.systools module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils.timeout">d2o.utils.timeout module</a></li>
<li class="toctree-l2"><a class="reference internal" href="d2o.utils.html#module-d2o.utils">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this headline">¶</a></h2>
</div>
<div class="section" id="module-d2o.database">
<span id="d2o-database-module"></span><h2>d2o.database module<a class="headerlink" href="#module-d2o.database" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="d2o.database.Database">
<em class="property">class </em><code class="descclassname">d2o.database.</code><code class="descname">Database</code><span class="sig-paren">(</span><em>uid</em>, <em>pwd</em>, <em>host</em>, <em>dbname</em>, <em>schema</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="d2o.database.Database.check_timestamps">
<code class="descname">check_timestamps</code><span class="sig-paren">(</span><em>timestamps</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.check_timestamps"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.check_timestamps" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.earliest_date">
<code class="descname">earliest_date</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.earliest_date"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.earliest_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.earliest_date_for_segment">
<code class="descname">earliest_date_for_segment</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.earliest_date_for_segment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.earliest_date_for_segment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.earliest_forecasting_date">
<code class="descname">earliest_forecasting_date</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.earliest_forecasting_date"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.earliest_forecasting_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.expired_networks">
<code class="descname">expired_networks</code><span class="sig-paren">(</span><em>days=180</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.expired_networks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.expired_networks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.forecasting_values">
<code class="descname">forecasting_values</code><span class="sig-paren">(</span><em>hotel_id</em>, <em>from_date</em>, <em>to_date</em>, <em>total=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.forecasting_values"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.forecasting_values" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.get_network_results">
<code class="descname">get_network_results</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em>, <em>from_date</em>, <em>to_date</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.get_network_results"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.get_network_results" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.get_parent">
<code class="descname">get_parent</code><span class="sig-paren">(</span><em>hid</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.get_parent"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.get_parent" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.has_data">
<code class="descname">has_data</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.has_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.has_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.has_segments">
<code class="descname">has_segments</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.has_segments"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.has_segments" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.header">
<code class="descname">header</code><span class="sig-paren">(</span><em>variables=[]</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.header"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.header" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.hotel_id">
<code class="descname">hotel_id</code><span class="sig-paren">(</span><em>hotel_name</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.hotel_id"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.hotel_id" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.hotel_ids">
<code class="descname">hotel_ids</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.hotel_ids"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.hotel_ids" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.hotel_name">
<code class="descname">hotel_name</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.hotel_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.hotel_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.hotel_names">
<code class="descname">hotel_names</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.hotel_names"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.hotel_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.id_to_name">
<code class="descname">id_to_name</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.id_to_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.id_to_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.insert_empty_network">
<code class="descname">insert_empty_network</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.insert_empty_network"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.insert_empty_network" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.invalid_networks">
<code class="descname">invalid_networks</code><span class="sig-paren">(</span><em>hotel_id=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.invalid_networks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.invalid_networks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.invalidate_network">
<code class="descname">invalidate_network</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.invalidate_network"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.invalidate_network" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.is_connected">
<code class="descname">is_connected</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.is_connected"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.is_connected" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.latest_date">
<code class="descname">latest_date</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.latest_date"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.latest_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.latest_date_for_segment">
<code class="descname">latest_date_for_segment</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.latest_date_for_segment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.latest_date_for_segment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.latest_forecasting_date">
<code class="descname">latest_forecasting_date</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.latest_forecasting_date"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.latest_forecasting_date" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.load_network">
<code class="descname">load_network</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.load_network"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.load_network" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.network_entry_exists">
<code class="descname">network_entry_exists</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.network_entry_exists"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.network_entry_exists" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.network_exists">
<code class="descname">network_exists</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.network_exists"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.network_exists" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.networks">
<code class="descname">networks</code><span class="sig-paren">(</span><em>hotel_id=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.networks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.networks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.percent_data">
<code class="descname">percent_data</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em>, <em>threshold=80</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.percent_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.percent_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.predictable_segments">
<code class="descname">predictable_segments</code><span class="sig-paren">(</span><em>hotel_id</em>, <em>names=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.predictable_segments"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.predictable_segments" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.remove_networks">
<code class="descname">remove_networks</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.remove_networks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.remove_networks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.revenue">
<code class="descname">revenue</code><span class="sig-paren">(</span><em>hotel_id</em>, <em>from_date</em>, <em>to_date</em>, <em>columns='all'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.revenue"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.revenue" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.room_nights">
<code class="descname">room_nights</code><span class="sig-paren">(</span><em>hotel_id</em>, <em>from_date</em>, <em>to_date</em>, <em>columns='all'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.room_nights"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.room_nights" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.segment_names">
<code class="descname">segment_names</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.segment_names"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.segment_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.segments">
<code class="descname">segments</code><span class="sig-paren">(</span><em>hotel_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.segments"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.segments" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.valid_networks">
<code class="descname">valid_networks</code><span class="sig-paren">(</span><em>hotel_id=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.valid_networks"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.valid_networks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.validate_network">
<code class="descname">validate_network</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.validate_network"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.validate_network" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_correlations">
<code class="descname">write_correlations</code><span class="sig-paren">(</span><em>cdf</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_correlations"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_correlations" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_metadata">
<code class="descname">write_metadata</code><span class="sig-paren">(</span><em>meta_df</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_metadata"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_metadata" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_network">
<code class="descname">write_network</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em>, <em>network_bio</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_network"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_network" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_network_results">
<code class="descname">write_network_results</code><span class="sig-paren">(</span><em>hid</em>, <em>segment_id</em>, <em>df</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_network_results"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_network_results" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_plotdata">
<code class="descname">write_plotdata</code><span class="sig-paren">(</span><em>plot_df</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_plotdata"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_plotdata" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.database.Database.write_seasons">
<code class="descname">write_seasons</code><span class="sig-paren">(</span><em>season_df</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#Database.write_seasons"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.Database.write_seasons" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="d2o.database.MissingNetworkException">
<em class="property">exception </em><code class="descclassname">d2o.database.</code><code class="descname">MissingNetworkException</code><a class="reference internal" href="_modules/d2o/database.html#MissingNetworkException"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.MissingNetworkException" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/library/exceptions.html#exceptions.Exception" title="(in Python v2.7)"><code class="xref py py-class docutils literal"><span class="pre">exceptions.Exception</span></code></a></p>
</dd></dl>

<dl class="function">
<dt id="d2o.database.add_query">
<code class="descclassname">d2o.database.</code><code class="descname">add_query</code><span class="sig-paren">(</span><em>e</em>, <em>query</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#add_query"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.add_query" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="d2o.database.cast">
<code class="descclassname">d2o.database.</code><code class="descname">cast</code><span class="sig-paren">(</span><em>val</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#cast"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.cast" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="d2o.database.create_insert_strings">
<code class="descclassname">d2o.database.</code><code class="descname">create_insert_strings</code><span class="sig-paren">(</span><em>dataframe</em>, <em>cs='`'</em>, <em>ce='`'</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/database.html#create_insert_strings"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.database.create_insert_strings" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="section" id="module-d2o.season_plotter">
<span id="d2o-season-plotter-module"></span><h2>d2o.season_plotter module<a class="headerlink" href="#module-d2o.season_plotter" title="Permalink to this headline">¶</a></h2>
<dl class="class">
<dt id="d2o.season_plotter.SeasonPlotter">
<em class="property">class </em><code class="descclassname">d2o.season_plotter.</code><code class="descname">SeasonPlotter</code><span class="sig-paren">(</span><em>resdict</em>, <em>root_dir</em>, <em>hotel_id</em>, <em>hotel_name</em>, <em>database</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/season_plotter.html#SeasonPlotter"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.season_plotter.SeasonPlotter" title="Permalink to this definition">¶</a></dt>
<dd><dl class="method">
<dt id="d2o.season_plotter.SeasonPlotter.create_animation">
<code class="descname">create_animation</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/season_plotter.html#SeasonPlotter.create_animation"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.season_plotter.SeasonPlotter.create_animation" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="d2o.season_plotter.SeasonPlotter.create_plots">
<code class="descname">create_plots</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/d2o/season_plotter.html#SeasonPlotter.create_plots"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#d2o.season_plotter.SeasonPlotter.create_plots" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>
<div class="section" id="module-d2o">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-d2o" title="Permalink to this headline">¶</a></h2>
</div>
</div>


           </div>
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2016, Chronos AS.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'1.0',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>